pcl::visualization::PointPickingEvent Class Reference

/brief Class representing 3D point picking events. More...

`#include <pcl/visualization/point_picking_event.h>`

## Public Member Functions

| PointPickingEvent (int idx)
| PointPickingEvent (int idx, float x, float y, float z)
| PointPickingEvent (int idx1, int idx2, float x1, float y1, float z1, float x2, float y2, float z2)
int | getPointIndex () const
| Obtain the ID of a point that the user just clicked on. More...
void | getPoint (float &x, float &y, float &z) const
| Obtain the XYZ point coordinates of a point that the user just clicked on. More...
bool | getPoints (float &x1, float &y1, float &z1, float &x2, float &y2, float &z2) const
| For situations when multiple points are selected in a sequence, return the point coordinates. More...
bool | getPointIndices (int &index_1, int &index_2) const
| For situations where multiple points are selected in a sequence, return the points indices. More...

## Detailed Description

/brief Class representing 3D point picking events.

Definition at line 84 of file point_picking_event.h.

## Constructor & Destructor Documentation

pcl::visualization::PointPickingEvent::PointPickingEvent | ( | int | idx | ) |

inline

Definition at line 87 of file point_picking_event.h.

pcl::visualization::PointPickingEvent::PointPickingEvent | ( | int | idx,
|  | float | x,
|  | float | y,
|  | float | z
| ) |  |

inline

Definition at line 88 of file point_picking_event.h.

pcl::visualization::PointPickingEvent::PointPickingEvent | ( | int | idx1,
|  | int | idx2,
|  | float | x1,
|  | float | y1,
|  | float | z1,
|  | float | x2,
|  | float | y2,
|  | float | z2
| ) |  |

inline

Definition at line 90 of file point_picking_event.h.

## Member Function Documentation

void pcl::visualization::PointPickingEvent::getPoint | ( | float & | x,
|  | float & | y,
|  | float & | z
| ) |  | const

inline

Obtain the XYZ point coordinates of a point that the user just clicked on.

Parameters

  [out] | x | the x coordinate of the point that got selected by the user
  [out] | y | the y coordinate of the point that got selected by the user
  [out] | z | the z coordinate of the point that got selected by the user

Definition at line 113 of file point_picking_event.h.

int pcl::visualization::PointPickingEvent::getPointIndex | ( |  | ) | const

inline

Obtain the ID of a point that the user just clicked on.

Warning
  If the cloud contains NaNs the index returned by this function will not correspond to the original indices. To get the correct index either sanitize the input cloud to remove NaNs or use the PointPickingEvent::getPoint function to get the x,y,z of the picked point and then search the original cloud for the correct index. An example of how to do this can be found in the pp_callback function in visualization/tools/pcd_viewer.cpp

Definition at line 102 of file point_picking_event.h.

bool pcl::visualization::PointPickingEvent::getPointIndices | ( | int & | index_1,
|  | int & | index_2
| ) |  | const

inline

For situations where multiple points are selected in a sequence, return the points indices.

Parameters

  [out] | index_1 | index of the first point selected by user
  [out] | index_2 | index of the second point selected by user

Returns
  true, if two points are available and have been clicked by the user, false otherwise

Warning
  If the cloud contains NaNs the index returned by this function will not correspond to the original indices. To get the correct index either sanitize the input cloud to remove NaNs or use the PointPickingEvent::getPoint function to get the x,y,z of the picked point and then search the original cloud for the correct index. An example of how to do this can be found in the pp_callback function in visualization/tools/pcd_viewer.cpp

Definition at line 148 of file point_picking_event.h.

bool pcl::visualization::PointPickingEvent::getPoints | ( | float & | x1,
|  | float & | y1,
|  | float & | z1,
|  | float & | x2,
|  | float & | y2,
|  | float & | z2
| ) |  | const

inline

For situations when multiple points are selected in a sequence, return the point coordinates.

Parameters

  [out] | x1 | the x coordinate of the first point that got selected by the user
  [out] | y1 | the y coordinate of the first point that got selected by the user
  [out] | z1 | the z coordinate of the firts point that got selected by the user
  [out] | x2 | the x coordinate of the second point that got selected by the user
  [out] | y2 | the y coordinate of the second point that got selected by the user
  [out] | z2 | the z coordinate of the second point that got selected by the user

Returns
  true, if two points are available and have been clicked by the user, false otherwise

Definition at line 128 of file point_picking_event.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/point_picking_event.h